# 6. SDK Status Updates

You can learn more about the SDK's detection status by querying the `getSdkStatus` API. Changes to the SDK status are usually influenced by changes to the device state and settings (e.g. airplane mode, location permission, etc). Handling these changes gives you the chance to instruct your user, when applicable, to properly adjust the device setting for optimal SDK detections.

```dart
import 'package:sentiance_core/sentiance_core.dart'
    show SentianceCore, DetectionStatus;

final sentiance = SentianceCore();

Future<DetectionStatus> getDetectionStatus() async {
    final sdkStatus = await sentiance.getSdkStatus();
    return sdkStatus.detectionStatus;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/a-complete-integration/flutter-quick-start/6.-sdk-status-updates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
